Need to change Eclipse JRE for OS X 10.10 Yosemite

When you install Mac OS X 10.10 Yosemite you’ll have to re-install the Java Runtime Environment (JRE). That’s a normal behavior on Mac devices.

One thing that’s new here is that Apple has removed QT support. Apple stores in the folder /System/Library/Java/Extension additional files which supplement the JRE installation. Now with Yosemite the files QTJava.zip and libQTNative.jnilib are no longer part of the extensions.

Depending on your JRE setup in Eclipse you now have to go through some preference changes. Otherwise you won’t have a working runtime environment for your Java applications. Here’s what I did.

First navigate to the Installed JREs setting in your Eclipse preferences.

eclipse_java_installed_jres

 

If you’ve added a custom JRE setup (like I did) you’ll receive an error notification that this JRE no longer exists.

eclipse_old_jre_removedConfirm this message.  In my case I decided to go with the default JRE implementation. So select Execution Environments on the left navigator outline. There you can select the default JRE setting.

eclipse_new_default_jre

Confirm this selection with OK (or Apply). Done.

If you’re still seeing errors or can’t compile your projects JRE is probably unbound.

eclipse_jre_unbound

 

Remove the library definition from your build path. After that select Add Library and select JRE System Library.

eclipse_add_library_1From there select the workspace default JRE. Done.

eclipse_add_library_2